<%--
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 *
 * $Revision$ $Date$
--%>
<%@ page import="com.intland.codebeamer.Config"%>
<%@ page import="com.intland.codebeamer.taglib.performance.RequestResourceManager"%>
<%@ page import="com.intland.codebeamer.ajax.events.AjaxEventService"%>

<%@ taglib uri="uitaglib" prefix="ui" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>

<fmt:bundle basename="com.intland.codebeamer.utils.Bundle">
	<fmt:message key="meta.description" var="metaDescription" />
	<fmt:message key="meta.keywords" var="metaKeywords" />
	<fmt:message key="favicon.url" var="faviconUrl" />
</fmt:bundle>

<meta name="description" content="${metaDescription}">
<meta name="keywords" content="${metaKeywords}">
<link rel="icon" href="<ui:urlversioned value="${faviconUrl}" />" type="image/png" />

<%--switch if the concatenated CSS "all.css" is used --%>
<c:set var="developmentMode" value="<%=Boolean.valueOf(Config.isDevelopmentMode())%>" />
<c:set var="concatenatedCSS" value="${!developmentMode}" scope="request"/>
<%-- switch if the concatenated js files "all.js" is used --%>
<c:set var="concatenatedJS" value="${!developmentMode}" scope="request"/>

<%-- set few javascript variables, so it is available for all javascripts --%>
<script type="text/javascript">
	var contextPath = '${pageContext.request.contextPath}';
</script>

<c:if test="${concatenatedCSS}" >
	<%-- all.css is built by build.xml --%>
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/all.css" />" type="text/css" media="all" />
</c:if>

<c:if test="${concatenatedJS}">
	<script type="text/javascript" src="<ui:urlversioned value="/js/all.js"/>"></script>
</c:if>

<c:if test="${! concatenatedCSS}" >
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/CB-Style.css" />" type="text/css" media="all" />
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/wiki.css" />" type="text/css" media="all" />
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/roundedCorners.css" />" type="text/css" media="all" />
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/print.css" />" type="text/css" media="print" />
</c:if>

<c:if test="${! concatenatedJS}">
	<%-- CodeBeamer Javascript --%>
	<script type="text/javascript" src="<ui:urlversioned value="/menu/cookie.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/menu/helpwindow.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/codebeamer-main.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/jspwiki-common.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/menu/AnchorPosition.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/menu/PopupWindow.js'/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value='/menu/date.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/WysiwygController.js'/>"></script>

	<%-- Spring MVC Javascript --%>
	<script type="text/javascript" src="<ui:urlversioned value="/js/valang_codebase.js"/>"></script>
</c:if>

<%-- Comment it out to overwrite some CSS definitions.
<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/overrides.css" />" type="text/css" media="all" />
--%>

<%-- YUI Javascript --%>
<%-- change this value if you want different package for yui libs
	values could be either: "", "-min" or "-debug"

	NOTE: -debug causes js-errors in menu-debug.js and popupmenu.js, so not recommended to use
--%>
<c:set var="yui_js_package" value="" scope="request" />

<c:if test="${! concatenatedJS}">
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/yahoo-dom-event/yahoo-dom-event.js" />"></script>
</c:if>

<c:if test="${perftest}" >
	<script type="text/javascript">
		YAHOO.util.Event.onDOMReady(function() {
			perftest.firstDOMReady = (new Date()).getTime();
		});
	</script>
</c:if>

<c:if test="${! concatenatedJS}">
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/connection/connection${yui_js_package}.js" />"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/datasource/datasource${yui_js_package}.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/autocomplete/autocomplete${yui_js_package}.js" />"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/yahoo/yahoo${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/event/event${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/dom/dom${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/element/element.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/animation/animation${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/dragdrop/dragdrop${yui_js_package}.js"/>" ></script>

	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/container/container${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/menu/menu${yui_js_package}.js"/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/yui/logger/logger${yui_js_package}.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/treeview/treeview${yui_js_package}.js'/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/json/json${yui_js_package}.js'/>" ></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/resize/resize${yui_js_package}.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/layout/layout${yui_js_package}.js'/>"></script>

	<%-- Javascripts for calendar --%>
	<script type="text/javascript" src="<ui:urlversioned value='/js/yui/calendar/calendar.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/calendarPopup.js" />"></script>

	<script type="text/javascript" src="<ui:urlversioned value="/js/TableReorder.js" />"></script>

	<script type="text/javascript" src="<ui:urlversioned value="/js/multiselectautocomplete/yui-multibox.js" />"></script>
</c:if>

<%-- YUI stylesheets --%>
<c:if test="${! concatenatedCSS}" >
	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui/container/assets/container.css" />" type="text/css" media="all">
	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui-extensions/container-cb-skin.css" />" type="text/css" media="all">

	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui/autocomplete/assets/autocomplete-core.css" />" type="text/css" media="all">
	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui-extensions/autocomplete/assets/skins/cb/autocomplete-skin.css" />" type="text/css" media="all">
	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui/menu/assets/menu-core.css" />" type="text/css" media="all">
	<link rel="stylesheet" href="<ui:urlversioned value="/js/yui-extensions/menu/assets/skins/cb/menu-skin.css" />" type="text/css" media="all">

	<link rel="stylesheet" type="text/css" href="<ui:urlversioned value='/js/yui/resize/assets/skins/sam/resize.css'/>" />
	<link rel="stylesheet" type="text/css" href="<ui:urlversioned value='/js/yui/layout/assets/skins/sam/layout.css'/>" />
	<link rel="stylesheet" type="text/css" href="<ui:urlversioned value='/js/yui/button/assets/skins/sam/button.css' />" />

	<%-- CSS for calendar --%>
	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/js/yui/fonts/fonts.css' />" />
	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/js/yui/calendar/assets/skins/sam/calendar.css' />"/>
	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/js/calendarPopup.css' />"/>

	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/stylesheet/rating.css' />"/>

	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/js/TableReorder.css' />"/>

	<link rel="stylesheet" type="text/css" media="all" href="<ui:urlversioned value='/js/multiselectautocomplete/yui-multibox.css' />"/>
</c:if>

<c:if test="${! concatenatedJS}">
	<%-- ToolBarTag and the top menu needs this js --%>
	<script type="text/javascript" src="<ui:urlversioned value="/js/toolbarTag.js" />"></script>
	<script type="text/javascript" src="<ui:urlversioned value='/docs/ajaxDocumentLock.js'/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/AjaxTreeController.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/rating.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/AjaxUtils.js"/>"></script>
	<script type="text/javascript" src="<ui:urlversioned value="/js/ComboBoxActionHandler.js"/>"></script>
</c:if>
<%
// to avoid duplicate load of this script marking it as loaded
RequestResourceManager.getInstance(request).markResourceLoaded("/js/toolbarTag.js");
%>

<!-- IE specific style sheet included both IE6/IE7-->
<!--[if IE]>
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/CB-Style-ie.css" />" type="text/css" media="all" />
	<script type="text/javascript" src="<ui:urlversioned value="/js/ie_zindex_fixes.js"/>"></script>
<![endif]-->
<!-- IE6 specific style sheet is included only for IE6 -->
<!--[if lt IE 7]>
	<link rel="stylesheet" href="<ui:urlversioned value="/stylesheet/CB-Style-ie6.cssv" />" type="text/css" media="all" />
<![endif]-->

<%-- script will highlight all table-rows where checkboxes are checked --%>
<%--
<script type="text/javascript" src="<ui:urlversioned value="/js/TableHighlighter.js" />"></script>
--%>

<%-- change this to enable/disable preview functionality --%>
<c:set var="ENABLE_PREVIEW" value="false"/>
<c:if test="${ENABLE_PREVIEW}">
	<%
		String enablePreviewParam = request.getParameter("enablePreview");
		if (enablePreviewParam == null) {
			// find the value from cookie
			Cookie[] cookies = request.getCookies();
			for (int i = 0, len = (cookies == null ? 0 : cookies.length); i < len; i++) {
				Cookie cookie = cookies[i];
				if ("CODEBEAMER_PREVIEW_ENABLED".equals(cookie.getName())) {
					enablePreviewParam = cookie.getValue();
					break;
				}
			}
		}
		Boolean enablePreview = enablePreviewParam == null ? Boolean.TRUE : Boolean.valueOf(enablePreviewParam);
		pageContext.setAttribute("enablePreview", enablePreview);
	%>

	<c:if test="${!empty param.enablePreview}">
		<ui:delayedScript>
			<script type="text/javascript">
				setCookie("CODEBEAMER_PREVIEW_ENABLED", "${enablePreview}", 365);
			</script>
		</ui:delayedScript>
	</c:if>
	<c:if test="${enablePreview}">
		<%--
			TODO: to make the panel look nice we'd need this CSS, does it work ?
			<link rel="stylesheet" href="<ui:urlversioned value="/js/yui/container/assets/skins/sam/container.css" />" type="text/css" media="all">
		--%>

		<link rel="stylesheet" href="<ui:urlversioned value="/js/Preview.css" />" type="text/css" media="all" />
		<script type="text/javascript" src="<ui:urlversioned value="/js/Preview.js" />"></script>
	</c:if>
</c:if>

<%-- Not used, because does not work reliably
<!-- Using the user specific date-format in Calendar component -->
<c:catch>
	<c:set var="user" value="${pageContext.request.userPrincipal}" />
	<c:if test="${! empty user.datePattern}">
		<script type="text/javascript">
		<!--
		YAHOO.util.Event.onDOMReady(function() {
			var userDateFormat = "${user.datePattern}";
			/*
			if (userDateFormat == "MMM dd yyyy") {
				userDateFormat = "MM dd yyyy";
			}
			*/
			//alert("YUICAlendarHelper old format:" + YUICalendarHelper.dateFormat + " is being replaced with " +  userDateFormat);
			YUICalendarHelper.dateFormat = userDateFormat;
		});
		//-->
		</script>
	</c:if>
</c:catch>
--%>

<%-- Javascript internatinalization object --%>
<script type="text/javascript" src="<ui:urlversioned value="/decorators/includes/i18nJS.jsp" />"></script>

<c:if test="${perftest}" >
	<script type="text/javascript">
		perftest.headerLoaded = (new Date()).getTime();
	</script>
</c:if>

<c:if test="${developmentMode}">
	<style type="text/css">
		<%-- Special box for showing debug information on pages. This is hidden in production.  --%>
		.debug {
			display: block;
			border: solid 1px red;
		}
	</style>
</c:if>

<c:if test="<%=AjaxEventService.ENABLED%>">
	<jsp:include page="./includes/ajaxEvents.jsp"/>
</c:if>

